--TEST--
link_004: Delete every link in the list
--FILE--
<?php
 
$dir = dirname(__FILE__);
require $dir . '/../' . 'Structure_Linked_List.php';

class Tester extends Structure_Linked_List_Node {
    protected $_my_number;

    function __construct($tester, $num) {
        $this->_my_number = $num;
        parent::__construct($tester);
    }

    function getNumb() {
        return $this->_my_number;
    }

    function setNumb($numb) {
        $this->_my_number = $numb;
    }
}
$tester = new Tester(null, 1);
$xyy = new Structure_Linked_List($tester);
$tester2 = new Tester($tester, 2);
$tester3 = new Tester($tester2, 3);
$tester4 = new Tester($tester3, 4);

// Delete all nodes from the list
while ($link =& $xyy->rewind()) {
    print "Deleted " . $link->getNumb() . "\n";
    $xyy->deleteLink($link);
}
$link = $xyy->rewind();
print "Done\n";
?>
--EXPECT--
Deleted 1
Deleted 2
Deleted 3
Deleted 4
Done
