--TEST--
link_002: Append links to an initially empty linked list
--FILE--
<?php
 
$dir = dirname(__FILE__);
require $dir . '/../' . 'Structure_Linked_List.php';

class Tester extends Structure_Linked_List_Node {
    protected $_my_number;

    function __construct($tester, $num) {
        $this->_my_number = $num;
        parent::__construct($tester);
    }

    function getNumb() {
        return $this->_my_number;
    }

    function setNumb($numb) {
        $this->_my_number = $numb;
    }
}
$xyy = new Structure_Linked_List();
$tester = new Tester(null, 1);
$xyy->addLink($tester);
print $tester->getNumb() . "\n";
$tester2 = new Tester($tester, 2);
print $tester2->getNumb() . "\n";
$tester3 = new Tester($tester2, 3);
print $tester3->getNumb() . "\n";
$tester4 = new Tester(null, 4);
$xyy->addLink($tester4, STRUCTURE_LINKED_LIST_ADD_BEFORE, $tester2);
print $tester4->getNumb() . "\n";

print "\n";

$link = $xyy->current();
print $link->getNumb();
print "\n";

// test iteration with while()
while ($link = $xyy->next()) {
    print $link->getNumb();
    print "\n";
}
$link = $xyy->rewind();
print "\n";
print $link->getNumb();
print "\n";

// test foreach() iteration
foreach ($xyy as $bull) {
  print $bull->getNumb();
}
?>
--EXPECT--
1
2
3
4

1
4
2
3

1
1423
